﻿/*
   rosa  - #f5a9cb
   verde - #b8d8b3
   castanho - #9e9085
   azul  - #002f6e

*/


/* Theme Colors */
:root {
	--accent-color: #b8d8b3;
	--dark-color: #002f6e;
	--light-dark-color: #727272;
	--light-color: #fff;
	--grey-color: #908F8D;
	--light-grey-color: #f5f5f5;
	--primary-color: #6995B1;
	--light-primary-color: #eef1f3;
	--third-color: #f5a9cb;
	--brown-color: #9e9085;
}

.text-brown {
	color: #9e9085 !important;
}

.text-green {
	color: #b8d8b3;
}


/* Fonts */
:root {
	--body-font: 'Montserrat', sans-serif;
	--heading-font: 'Montserrat', sans-serif;
	--secondary-font: 'Montserrat', serif;
}


body {
	--bs-link-color: #333;
	--bs-link-hover-color: #333;
	--bs-link-color-rgb: 40, 40, 40;
	--bs-link-hover-color-rgb: 0, 0, 0;
	--bs-light-rgb: 248, 248, 248;
	--bs-font-sans-serif: 'Montserrat', sans-serif;
	--bs-body-font-family: var(--bs-font-sans-serif);
	--bs-body-font-size: 1rem;
	--bs-body-font-weight: 400;
	--bs-body-line-height: 1.3rem;
	--bs-body-color: #002f6e;
	--bs-primary: #9e9085;
	--bs-primary-rgb: 158, 144, 133;
	--bs-primary-bg-subtle: #FFF9EB;
	--bs-border-color: #F7F7F7;
	--bs-secondary-rgb: 230, 243, 251;
	--bs-success-rgb: 238, 245, 228;
	--bs-danger-rgb: 249, 235, 231;
	--bs-warning-rgb: 255, 249, 235;
	--bs-info-rgb: 230, 243, 250;
}

.btn {
	--bs-btn-font-family: var(--heading-font);
}

.btn-primary {
	/*line-height: 0.75rem;*/
	font-size: 1rem;
	text-transform: uppercase;
	font-weight: 600;
	transition: all 0.3s ease-in;
	--bs-btn-color: #002f6e;
	--bs-btn-bg: #b8d8b3;
	--bs-btn-border-color: #b8d8b3;
	--bs-btn-hover-color: #ffffff;
	--bs-btn-hover-bg: #9e9085;
	--bs-btn-hover-border-color: #9e9085;
	--bs-btn-focus-shadow-rgb: 49, 132, 253;
	--bs-btn-active-color: #002f6e;
	--bs-btn-active-bg: #b8d8b3;
	--bs-btn-active-border-color: #b8d8b3;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #002f6e;
	--bs-btn-disabled-bg: #d3d7dd;
	--bs-btn-disabled-border-color: #b8d8b3;
}

.btn-outline-primary {
	/*line-height: 0.75rem;*/
	transition: all 0.3s ease-in;
	padding: 1.2rem 3rem;
	font-size: 1rem;
	text-transform: uppercase;
	font-weight: 600;
	letter-spacing: 0.02375rem;
	--bs-btn-hover-color: #002f6e;
	--bs-btn-hover-bg: #ffffff;
	--bs-btn-hover-border-color: #b8d8b3;
	--bs-btn-color: #002f6e;
	--bs-btn-bg: #9e9085;
	--bs-btn-border-color: #9e9085;
	--bs-btn-focus-shadow-rgb: 49, 132, 253;
	--bs-btn-active-color: #002f6e;
	--bs-btn-active-bg: #b8d8b3;
	--bs-btn-active-border-color: #b8d8b3;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #002f6e;
	--bs-btn-disabled-bg: #d3d7dd;
	--bs-btn-disabled-border-color: #b8d8b3;
	--bs-gradient: none;
}

.btn-dark {
	font-size: 1rem;
	font-weight: 600;
	letter-spacing: 0.06rem;
	padding: 1.2rem 3rem;
	transition: all 0.3s ease-in;
	text-transform: uppercase;
	--bs-btn-color: #fff;
	--bs-btn-bg: #000;
	--bs-btn-border-color: #000;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #9e9085;
	--bs-btn-hover-border-color: #9e9085;
	--bs-btn-focus-shadow-rgb: 66, 70, 73;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #000;
	--bs-btn-active-border-color: #000;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #000;
	--bs-btn-disabled-border-color: #000;
}

.btn-outline-dark {
	/*line-height: 0.75rem;*/
	letter-spacing: 0.09375rem;
	text-transform: capitalize;
	transition: all 0.3s ease-in;
	font-size: 1rem;
	font-weight: 600;
	border: 2px solid #000;
	transition: all 0.5s ease-in;
	--bs-btn-color: #212529;
	--bs-btn-border-color: #212529;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #9e9085;
	--bs-btn-hover-border-color: #9e9085;
	--bs-btn-focus-shadow-rgb: 33, 37, 41;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #212529;
	--bs-btn-active-border-color: #212529;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #212529;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #212529;
	--bs-gradient: none;
}



.nav-link {
	color: var(--dark-color);
}

.navbar-nav .nav-link.active, .navbar-nav .nav-link:active, .navbar-nav .nav-link:hover {
	color: var(--dark-color);
}



.navbar-nav .nav-link span:after {
	display: block;
	content: '';
	border-bottom: 2px solid var(--dark-color);
	transform: scaleX(0);
	transition: transform 250ms ease-in-out;
}

.navbar-nav .nav-link span:hover:after {
	transform: scaleX(1);
}

.navbar-nav .nav-link.active span::after, .navbar-nav .nav-link:active span:after {
	transform: scaleX(1);
}

.dropdown-item {
	text-transform: none;
	font-weight: 600;
	padding: 0.5rem 0.5rem;
}

	.dropdown-item.active, .dropdown-item:active {
		text-decoration: none;
		border-left: 5px solid var(--bs-dropdown-link-active-bg);
		background: none;
	}

.dropdown-menu.show {
	border-radius: 0px;
	border: none;
	box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
	/*	background: #f5f5f5;*/
}

	.dropdown-menu.show li a {
		white-space: nowrap;
		overflow: hidden;
		text-overflow: ellipsis;
	}

@media (min-width: 992px) {

	.dropdown-menu.show {
		overflow-y: auto !important;
		max-height: 80vh !important;
		overflow-x: hidden;
	}
}

.dropdown-menu.show::-webkit-scrollbar-track {
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: #F5F5F5;
}

.dropdown-menu.show::-webkit-scrollbar {
	width: 6px;
	background-color: #F5F5F5;
}

.dropdown-menu.show::-webkit-scrollbar-thumb {
	--bs-text-opacity: 0.8;
	background-color: rgba(var(--bs-primary-rgb),var(--bs-text-opacity)) !important;
}



/*Resolver problema de espaço do menu por causa do exceço dos menus*/
@media(max-width:1200px) and (min-width:992px) {
	.nav-link {
		font-size: 14px;
		font-weight: 500;
	}

	.navbar-expand-lg .navbar-nav .nav-link {
		padding-right: 0.1rem;
		padding-left: 0.1rem;
	}
}

@media (max-width: 992px) {

	.navbar-nav .nav-link span:hover:after {
		transform: scaleX(0);
	}

	.navbar-nav .nav-link.active span::after, .navbar-nav .nav-link:active span:after {
		transform: scaleX(0);
	}

	.navbar-nav .nav-link {
		display: flex;
	}
}



.form-control {
	text-transform: none;
}
